summaryrefslogtreecommitdiff
path: root/test-kvm.sh
diff options
context:
space:
mode:
authorRiku Voipio <riku.voipio@linaro.org>2013-04-16 20:52:30 +0300
committerRiku Voipio <riku.voipio@linaro.org>2013-04-16 20:52:30 +0300
commitf07497cb15039fe68375f657e889fadd615b3293 (patch)
tree331d4f1f10f32888405c64ca77f5212e6a4d85eb /test-kvm.sh
parented89514520d592bfadd758d4fbe9d2fd4c292bb8 (diff)
add boot error
Diffstat (limited to 'test-kvm.sh')
-rw-r--r--test-kvm.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/test-kvm.sh b/test-kvm.sh
index 61d2f78..1c942b9 100644
--- a/test-kvm.sh
+++ b/test-kvm.sh
@@ -13,6 +13,9 @@ cp /mnt/lib/firmware/*-linaro-vexpress/device-tree/rtsm_ve-cortex_a15x1.dtb .
cp kvm-lava.conf /mnt/etc/init/kvm-lava.conf
umount /mnt
-qemu-system-arm -M vexpress-a15 -m 1024 -kernel ./zImage -dtb ./rtsm_ve-cortex_a15x1.dtb -append 'root=/dev/mmcblk0p2 rw rootwait mem=1024M console=ttyAMA0,38400n8' -drive if=sd,cache=writeback,file=kvm.qcow2 -redir tcp:5022::22 -nographic -enable-kvm 2>&1|tee kvm-log.txt || echo kvm-boot-1: fail
-
+qemu-system-arm -M vexpress-a15 -m 1024 -kernel ./zImage -dtb ./rtsm_ve-cortex_a15x1.dtb -append 'root=/dev/mmcblk0p2 rw rootwait mem=1024M console=ttyAMA0,38400n8' -drive if=sd,cache=writeback,file=kvm.qcow2 -redir tcp:5022::22 -nographic -enable-kvm 2>&1|tee kvm-log.txt
+if ! grep -q kvm-boot-1 kvm-log.txt
+then
+ echo "kvm-boot-1: fail"
+fi